/ Tools

【 Solutions 】解決更新套件或安裝套件遇到 - 無法將 /var/lib/dpkg/lock 鎖定

問題

Ubuntu 中更新套件或安裝套件發生下方錯誤訊息

---2020-04-16---1.13.57


解決方案

  • 找出目前使用 /var/lib/dpkg/lock 的程序

    • 請在終端機輸入下方指令

      sudo lsof /var/lib/dpkg/lock
      

      ---2020-04-16---1.16.12

  • 刪除此程序

    • 由上步驟得知 unattende 程式正在使用,其 PID 為 3968

    • 請在終端機輸入下方指令

      sudo kill -9 PID
      

      ---2020-04-16---1.24.35

  • 刪除成功後即可正常安裝或更新套件

    ---2020-04-16---1.25.42


GitHub
List of blogs
Archer

Archer

Having being a software engineer. Experience with Python, JavaScript, Node.js, Objective-C, Micro:bit, Raspberry Pi, AWS, Azure, IoT. ❆ [email protected] https://oranwind.org/author/archer/

Read More